# std::lock_guard< _Mutex > Class Template Reference
[Mutexes]

Scoped lock idiom. More...

List of all members.

## Public Types

- typedef _Mutex mutex_type

## Public Member Functions

- lock_guard (const lock_guard &)
- lock_guard (mutex_type &__m, adopt_lock_t __a)
- lock_guard (mutex_type &__m)
- lock_guard & operator= (const lock_guard &)

## Detailed Description

### template<typename _Mutex>
class std::lock_guard< _Mutex >

Scoped lock idiom.

Definition at line 405 of file mutex.

The documentation for this class was generated from the following file:

- mutex